Skip to:
Content

Opened 3 years ago

Closed 2 years ago

Last modified 4 weeks ago

#2887 closed idea (fixed)

Update supported WordPress versions

Reported by: netweb Owned by:
Milestone: 2.6 Priority: normal
Severity: normal Version:
Component: Tools - Code Improvements Keywords:
Cc:

Description

Citing @Boone's great summary in #BuddyPress6258

Replying to boonebgorges:

OK, let's revisit. According to https://wordpress.org/about/stats/, usage stats for old versions look like this (release dates in parentheses):

  • 3.6: 2.5% (2013-08-01)
  • 3.7: 1.7% (2013-10-13)
  • 3.8: 5.3% (2013-12-12)
  • 3.9: 8.0% (2014-04-16)
  • 4.0: 8.9% (2014-09-04)

The 5% rule suggests that we drop official support for 3.6 and 3.7.

As a cross-reference, 3.8.x was still the latest stable version as of early April 2014 (just before 3.9 came out). This is about 15 months ago. For 3.7.x, the "most recently stable" time is about 21 months. As I mentioned above, I think a good guideline for "most recently stable" is that we should maintain support for WordPress versions going back at least 12 months, which would suggest that we should definitely keep support for at least 3.8.x.

Based on the above, I'm going to suggest we bump the minimum official supported version to 3.8. If everyone else is OK with this, I suggest we do the following:

  1. Bump the minimum supported version in trunk
  2. Open a separate ticket where someone does a quick review of backward compatibility and progressive enhancements in BuddyPress that become obsolete when we no longer support 3.6 and 3.7, and make some recommendations for removal (or leaving stuff alone, as appropriate)
  3. Post about this on bpdevel
  4. Formalize these steps for future release cycles

Thoughts?

Refreshed stats:

  • 3.6: 1.9% (2013-08-01)
  • 3.7: 1.3% (2013-10-13)
  • 3.8: 4.0% (2013-12-12)
  • 3.9: 5.8% (2014-04-16)
  • 4.0: 6.6% (2014-09-04)
  • 4.1: 10.2% (2014-12-18)
  • 4.2: 17.7% (2015-04-23)
  • 4.3: 41.8% (2015-08-18)

Likewise I'd suggest we bump our minimum supported version to 3.8, maybe 3.9.

Change History (4)

#1 @thebrandonallen
3 years ago

I'm all for 3.9, but 3.8 might be the more conservative approach as we transition to the new bumping standard.

#2 @netweb
3 years ago

  • Milestone changed from Awaiting Review to Under Consideration

#3 @netweb
2 years ago

  • Keywords 2nd-opinion removed
  • Milestone changed from Under Consideration to 2.6
  • Resolution set to fixed
  • Status changed from new to closed

bbPress now requires WordPress 4.7, see r6151

Marking this as fixed

#4 @johnjamesjacoby
4 weeks ago

Assigning all closed & unassigned tickets in the 2.6 milestone to myself.

Note: See TracTickets for help on using tickets.